Referring Provider

The referring provider is an external person or organization that you are collaborating with to take care of a patient.

The referring provider model


Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the referring provider.

  • Name
    object
    Type
    string
    Description

    Always 'referring_provider'.

  • Name
    first_name
    Type
    string
    Description

    Referring provider's first name.

  • Name
    middle_name
    Type
    string
    Description

    Referring provider's middle name.

  • Name
    last_name
    Type
    string
    Description

    Referring provider's last name.

  • Name
    organization
    Type
    string
    Description

    Organization referring provider belongs to.

  • Name
    specialization
    Type
    string
    Description

    Referring provider's specialization.

  • Name
    email
    Type
    string
    Description

    Referring provider's email.

  • Name
    phone
    Type
    string
    Description

    Referring provider's phone.

  • Name
    npi
    Type
    string
    Description

    Referring provider's NPI.

  • Name
    fax
    Type
    string
    Description

    Referring provider's fax number.

  • Name
    usable_by
    Type
    object
    Description
    Who can use this referring provider.
  • Name
    created_by
    Type
    string
    Description

    Creator of the referring provider.

  • Name
    created_at
    Type
    date-time
    Description

    Timestamp (in ISO 8601 format) of when the referring provider was created.

  • Name
    last_updated_at
    Type
    date-time
    Description

    Timestamp (in ISO 8601 format) of when the referring provider was last updated.

Response

{
  "id": "rprv_NPAxeKa32I5MbmuvKPAQ",
  "object": "referring_provider",

  "first_name": "John",
  "middle_name": "Doe",
  "last_name": "Smith",

  "organization": "Stanford",
  "specialization": "Cardiology",
  "email": "john@stanford.edu",
  "phone": "(123)456-7890",
  "npi": "324984924",
  "fax": "(123)456-7890",

  "usable_by": {
    "usable_by_all": true
  },

  "created_by": "user_xeDpGyt67wTor93qKtS7",
  "created_at": "2024-04-10T13:20:21.724Z",
  "last_updated_at": "2024-04-10T13:20:21.724Z"
}


POST/v2/referring_providers

Create a referring provider

Creates a new referring provider.

Required attributes

    Optional attributes

    • Name
      first_name
      Type
      string
      Description

      Referring provider's first name.

    • Name
      middle_name
      Type
      string
      Description

      Referring provider's middle name.

    • Name
      last_name
      Type
      string
      Description

      Referring provider's last name.

    • Name
      organization
      Type
      string
      Description

      Organization referring provider belongs to.

    • Name
      specialization
      Type
      string
      Description

      Referring provider's specialization.

    • Name
      email
      Type
      string
      Description

      Referring provider's email.

    • Name
      phone
      Type
      string
      Description

      Referring provider's phone.

    • Name
      npi
      Type
      string
      Description

      Referring provider's NPI.

    • Name
      fax
      Type
      string
      Description

      Referring provider's fax number.

    • Name
      usable_by
      Type
      object
      Description
      Who can use this referring provider.

    Request

    POST
    /v2/referring_providers
    curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/referring_providers" \
      -H "Authorization: Bearer {{token}}" \
      -H "x-jwt: {{jwt}}" \
      -H "Content-Type: application/json" \
      --data '{}'
    

    Response

        {
          "id": "rprv_NPAxeKa32I5MbmuvKPAQ",
          "object": "referring_provider",
    
          "first_name": "John",
          "middle_name": "Doe",
          "last_name": "Smith",
    
          "organization": "Stanford",
          "specialization": "Cardiology",
          "email": "john@stanford.edu",
          "phone": "(123)456-7890",
          "npi": "324984924",
          "fax": "(123)456-7890",
    
          "usable_by": {
            "usable_by_all": true
          },
    
          "created_by": "user_xeDpGyt67wTor93qKtS7",
          "created_at": "2024-04-10T13:20:21.724Z",
          "last_updated_at": "2024-04-10T13:20:21.724Z"
        }
    
    

    GET/v2/referring_providers/:id

    Retrieve a referring provider

    Retrieves the specified referring provider.

    Request

    GET
    /v2/referring_providers/:id
    curl "https://{{base_subdomain}}.avonhealth.com/v2/referring_providers/:id" \
      -H "Authorization: Bearer {{token}}" \
      -H "x-jwt: {{jwt}}"
    

    Response

    
        {
          "id": "rprv_NPAxeKa32I5MbmuvKPAQ",
          "object": "referring_provider",
    
          "first_name": "John",
          "middle_name": "Doe",
          "last_name": "Smith",
    
          "organization": "Stanford",
          "specialization": "Cardiology",
          "email": "john@stanford.edu",
          "phone": "(123)456-7890",
          "npi": "324984924",
          "fax": "(123)456-7890",
    
          "usable_by": {
            "usable_by_all": true
          },
    
          "created_by": "user_xeDpGyt67wTor93qKtS7",
          "created_at": "2024-04-10T13:20:21.724Z",
          "last_updated_at": "2024-04-10T13:20:21.724Z"
        }
    
    

    POST/v2/referring_providers/:id

    Update a referring provider

    Updates the specified referring provider object by setting the values of the parameters passed. Any other parameters not provided will not be modified.

    Required attributes

      Optional attributes

      • Name
        first_name
        Type
        string
        Description

        Referring provider's first name.

      • Name
        middle_name
        Type
        string
        Description

        Referring provider's middle name.

      • Name
        last_name
        Type
        string
        Description

        Referring provider's last name.

      • Name
        organization
        Type
        string
        Description

        Organization referring provider belongs to.

      • Name
        specialization
        Type
        string
        Description

        Referring provider's specialization.

      • Name
        email
        Type
        string
        Description

        Referring provider's email.

      • Name
        phone
        Type
        string
        Description

        Referring provider's phone.

      • Name
        npi
        Type
        string
        Description

        Referring provider's NPI.

      • Name
        fax
        Type
        string
        Description

        Referring provider's fax number.

      • Name
        usable_by
        Type
        object
        Description
        Who can use this referring provider.

      Request

      POST
      /v2/referring_providers/:id
      curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/referring_providers/:id" \
        -H "Authorization: Bearer {{token}}" \
        -H "x-jwt: {{jwt}}" \
        -H "Content-Type: application/json" \
        --data '{}'
      

      Response

      
          {
            "id": "rprv_NPAxeKa32I5MbmuvKPAQ",
            "object": "referring_provider",
      
            "first_name": "John",
            "middle_name": "Doe",
            "last_name": "Smith",
      
            "organization": "Stanford",
            "specialization": "Cardiology",
            "email": "john@stanford.edu",
            "phone": "(123)456-7890",
            "npi": "324984924",
            "fax": "(123)456-7890",
      
            "usable_by": {
              "usable_by_all": true
            },
      
            "created_by": "user_xeDpGyt67wTor93qKtS7",
            "created_at": "2024-04-10T13:20:21.724Z",
            "last_updated_at": "2024-04-10T13:20:21.724Z"
          }
      
      

      GET/v2/referring_providers

      List all referring providers

      Returns a list of all referring providers.

      Request

      GET
      /v2/referring_providers
      curl "https://{{base_subdomain}}.avonhealth.com/v2/referring_providers" \
        -H "Authorization: Bearer {{token}}" \
        -H "x-jwt: {{jwt}}"
      

      Response

          {
            "object": "list",
            "data": [{
            "id": "rprv_NPAxeKa32I5MbmuvKPAQ",
            "object": "referring_provider",
      
            "first_name": "John",
            "middle_name": "Doe",
            "last_name": "Smith",
      
            "organization": "Stanford",
            "specialization": "Cardiology",
            "email": "john@stanford.edu",
            "phone": "(123)456-7890",
            "npi": "324984924",
            "fax": "(123)456-7890",
      
            "usable_by": {
              "usable_by_all": true
            },
      
            "created_by": "user_xeDpGyt67wTor93qKtS7",
            "created_at": "2024-04-10T13:20:21.724Z",
            "last_updated_at": "2024-04-10T13:20:21.724Z"
      
          }]
          }
      

      DELETE/v2/referring_providers/:id

      Delete a referring provider

      Deletes the specified referring provider.

      Required attributes

        Optional attributes

          Request

          DELETE
          /v2/referring_providers/:id
          curl -X DELETE "https://{{base_subdomain}}.avonhealth.com/v2/referring_providers/:id" \
            -H "Authorization: Bearer {{token}}" \
            -H "x-jwt: {{jwt}}"
          

          Response

              {
                  "id": "rprv_zRX1SV0oK7vQ5f0j8Vjk",
                  "object": "referring_provider",
                  "delete": true
              }